=== debian/changelog ===
hyprutils (0.1.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1073158)

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Mon, 01 Jul 2024 05:30:04 +0000
