=== debian/control ===
Source: hyprutils
Section: libs
Priority: optional
Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libpixman-1-dev,
 pkgconf,
Standards-Version: 4.6.2
Homepage: https://github.com/hyprwm/hyprutils
Vcs-Browser: https://salsa.debian.org/NyxTrail/hyprutils
Vcs-Git: https://salsa.debian.org/NyxTrail/hyprutils.git

Package: libhyprutils-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libhyprutils0 (= ${binary:Version}),
 ${misc:Depends},
Description: Utilities used across the Hyprland ecosystem (development files)
 Hyprutils is a small C++ library for utilities used across the Hyprland
 window manager ecosystem.
 .
 This package contains the development files.

Package: libhyprutils0
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Utilities used across the Hyprland ecosystem (library)
 Hyprutils is a small C++ library for utilities used across the Hyprland
 window manager ecosystem.
 .
 This package contains the binary shared library.
