=== debian/watch ===
version=4
opts="searchmode=html" \
  https://github.com/hyprwm/hyprutils/tags \
  https://github.com/hyprwm/hyprutils/archive/refs/tags/v(\d+)\.(\d+)\.(\d+)?\.?tar\.gz
