=== debian/changelog ===
hyprutils (0.7.0-1) unstable; urgency=medium

  [ alan (NyxTrail) ]
  * New upstream version 0.7.0
  * Breaking ABI changes: updated soversion to 6

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 04 May 2025 11:39:54 +0000

hyprutils (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Mon, 07 Apr 2025 14:58:04 +0000

hyprutils (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 02 Mar 2025 09:47:24 +0000

hyprutils (0.2.3-1) unstable; urgency=medium

  * New upstream version 0.2.3
  * Incorporate changes for upstream soversion update
  * Update Standards version to 4.7.0

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Fri, 11 Oct 2024 06:36:56 +0000
