=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  libpixman-1-dev,
  pkgconf,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/hyprwm/hyprutils
 Vcs-Browser: https://salsa.debian.org/NyxTrail/hyprutils
 Vcs-Git: https://salsa.debian.org/NyxTrail/hyprutils.git
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libhyprutils0 (= ${binary:Version}),
+ libhyprutils6 (= ${binary:Version}),
  ${misc:Depends},
 Description: Utilities used across the Hyprland ecosystem (development files)
  Hyprutils is a small C++ library for utilities used across the Hyprland
@@ -26,7 +26,7 @@
  .
  This package contains the development files.
 
-Package: libhyprutils0
+Package: libhyprutils6
 Architecture: any
 Multi-Arch: same
 Depends:
