=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_HOST_ARCH),i386)
    export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store
endif

%:
	dh $@
