## hyprutils 0.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -50,7 +50,7 @@
   PUBLIC "./include"
   PRIVATE "./src")
 set_target_properties(hyprutils PROPERTIES VERSION ${hyprutils_VERSION}
-                                           SOVERSION 6)
+                                           SOVERSION 7)
 target_link_libraries(hyprutils PkgConfig::deps)
 
 # tests
