=== debian/changelog ===
hyprutils (0.8.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.8.4. (Closes: #1090839)
  * Breaking ABI changes: updated soversion to 7.
  * Added autopkgtests to run upstream tests.
  * d/watch: migrated to Version 5.

 -- Carl Keinath <carl.keinath@gmail.com>  Wed, 17 Sep 2025 23:04:34 +0200
