=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: libs
 Priority: optional
 Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
@@ -18,7 +17,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libhyprutils6 (= ${binary:Version}),
+ libhyprutils7 (= ${binary:Version}),
  ${misc:Depends},
 Description: Utilities used across the Hyprland ecosystem (development files)
  Hyprutils is a small C++ library for utilities used across the Hyprland
@@ -26,7 +25,7 @@
  .
  This package contains the development files.
 
-Package: libhyprutils6
+Package: libhyprutils7
 Architecture: any
 Multi-Arch: same
 Depends:
