=== debian/changelog ===
hyprutils (0.10.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #1117181)
  * Breaking ABI changes: updated soversion to 9

 -- Carl Keinath <carl.keinath@gmail.com>  Mon, 06 Oct 2025 08:22:04 +0200
