=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libhyprutils7 (= ${binary:Version}),
+ libhyprutils9 (= ${binary:Version}),
  ${misc:Depends},
 Description: Utilities used across the Hyprland ecosystem (development files)
  Hyprutils is a small C++ library for utilities used across the Hyprland
@@ -25,7 +25,7 @@
  .
  This package contains the development files.
 
-Package: libhyprutils7
+Package: libhyprutils9
 Architecture: any
 Multi-Arch: same
 Depends:
