=== debian/changelog ===
hyprutils (0.10.4-1) unstable; urgency=medium

  [ Carl Keinath ]
  * New upstream release (Closes: #1120292)
  * d/tests:
    - port testsuite to gTest
    - disable i18n/Locale test

  [ Chow Loong Jin ]
  * Salvage package (Closes: #1120660)
  * d/control: Update maintainer to Hyprland team

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 05 Dec 2025 21:25:08 +0800
