=== debian/control ===
--- 
+++ 
@@ -1,7 +1,11 @@
 Source: hyprutils
 Section: libs
 Priority: optional
-Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
+Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
+Uploaders:
+ Alan M Varghese (NyxTrail) <alan@digistorm.in>,
+ Carl Keinath <carl.keinath@gmail.com>,
+ Chow Loong Jin <hyperair@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
