## hyprutils 0.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
   PUBLIC "./include"
   PRIVATE "./src")
 set_target_properties(hyprutils PROPERTIES VERSION ${hyprutils_VERSION}
-                                           SOVERSION 9)
+                                           SOVERSION 10)
 target_link_libraries(hyprutils PkgConfig::deps)
 
 if(BUILD_TESTING)
