=== debian/changelog ===
hyprutils (0.11.0-3) unstable; urgency=medium

  * d/tests/control: add Restrictions: allow-stderr (Closes: #1124048)
  * d/control: bump Standards-Version to 4.7.3

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 27 Dec 2025 07:11:55 +0100

hyprutils (0.11.0-2) unstable; urgency=medium

  * Reupload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 16 Dec 2025 16:12:25 +0800

hyprutils (0.11.0-1) experimental; urgency=medium

  * Update Vcs-* fields to point to hyprland-team
  * New upstream version 0.11.0
  * Rename package for soname bump

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 12 Dec 2025 21:42:30 +0800
