=== debian/control ===
--- 
+++ 
@@ -11,17 +11,17 @@
  cmake,
  libpixman-1-dev,
  pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/hyprwm/hyprutils
-Vcs-Browser: https://salsa.debian.org/NyxTrail/hyprutils
-Vcs-Git: https://salsa.debian.org/NyxTrail/hyprutils.git
+Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprutils
+Vcs-Git: https://salsa.debian.org/hyprland-team/hyprutils.git
 
 Package: libhyprutils-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- libhyprutils9 (= ${binary:Version}),
+ libhyprutils10 (= ${binary:Version}),
  ${misc:Depends},
 Description: Utilities used across the Hyprland ecosystem (development files)
  Hyprutils is a small C++ library for utilities used across the Hyprland
@@ -29,7 +29,7 @@
  .
  This package contains the development files.
 
-Package: libhyprutils9
+Package: libhyprutils10
 Architecture: any
 Multi-Arch: same
 Depends:
