=== debian/tests/control ===
Tests: upstream-tests
Depends: @, @builddeps@, libgtest-dev
Restrictions: allow-stderr
